• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Support de Mac OS 10.15
#1
Bonjour, 
j'utilise l'agent Fusion sur Mac depuis des années et il fonctionne très bien jusqu'à la version 10.14.6
MacOS 10.15 vient de sortir ; j'ai une machine de test sur laquelle j'essaie d'installer la dernière version de l'agent 2.5.1-1 et elle ne fonctionne pas sur cette version du système.
Une nouvelle version compatible MaxOS 10.15 est-elle en cours de développement ?
Cdt.
  Reply
#2
Salut fboller,

je suis en train d'étudier ça d'autant que je devais sortir la version 2.5.2 la semaine prochaine... autant dire que j'avais autre chose à faire que revoir le packaging MacOS.

Pour info, une issue github a déjà était ouverte sur le sujet:
https://github.com/fusioninventory/fusio...issues/736

Merci Apple Tongue
  Reply
#3
(2019-10-10, 16:14:59)gbougard Wrote: Salut fboller,

je suis en train d'étudier ça d'autant que je devais sortir la version 2.5.2 la semaine prochaine... autant dire que j'avais autre chose à faire que revoir le packaging MacOS.

Pour info, une issue github a déjà était ouverte sur le sujet:
https://github.com/fusioninventory/fusio...issues/736

Merci Apple Tongue

Salut merci pour l'info. Je veux bien tester et faire des remontées.
Cdt.
  Reply
#4
Salut,
j'ai fait un installer de test, le lien est dans lissue #736.
  Reply
#5
Salut,
un point rapide :
1 - Impossible d'installer le client dans le dossier traditionnel /opt
2 - Impossible d'installer le client dans le dossier /Applications
3 - La seule solution fonctionnelle consiste à créer un dossier /Applications dans le dossier de l'utilisateur et ça fonctionne. Remontée normale du client dans GLPI.
  Reply
#6
Salut,

okay, c'est un bon début, ça veut dire déjà que j'ai correctement modifié l'installeur pour que l'agent soit "relogeable".

Maintenant, peux-tu aussi décrire toutes les actions des étapes de ta solution ?

Merci d'avance
  Reply
#7
D'accord :

Installation standard avec le fichier agent.cfg configuré, je me fais jeter avec le message : "Ce paquet n'est pas compatible avec cette version de macOS. Le paquet essaie d'installer du contenu dans le volume système. Contactez l'éditeur du logiciel pour obtenir de l'aide"
Installation personnalisée dans le dossier /Applications : idem
Avant de faire la troisième tentative d'installation j'ai créé un dossier Applications dans ma session. Lors de l'installation je choisis le dossier en question et ça fonctionne. Remontée d'inventaire normale.
Je n'ai pas testé ce scénario dans une session qui n'a pas les droits administrateur.
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)